      subroutine init_hdrvars

c     Initializes header variables in common block

      include 'codeco_common.f'

c     -- leave hdr_debug untouched
      hdr_year = 0
      hdr_month = 0
      hdr_day = 0
      hdr_jday = 0
      hdr_hour = 0
      hdr_min = 0
      hdr_sec = 0
      hdr_msec = 0
      hdr_nsamp = 0
      hdr_ifmtnum = 0
      hdr_ofmtnum = 0
      hdr_idiff = 0
      hdr_odiff = 0
      hdr_calunit = 0
      hdr_smprate = 0.0
      hdr_calfac = 1.0
      hdr_calper = 1.0
      hdr_stalat = -999.0
      hdr_stalon = -999.0
      hdr_staelev = -999.0
      hdr_stadepth = -999.0
      hdr_beamaz = -1.0
      hdr_beamslo = -1.0
      hdr_hang = -1.0
      hdr_vang = -1.0
      hdr_station = ' '
      hdr_stadescr = ' '
      hdr_chan = ' '
      hdr_instr = '_'
      hdr_network = ' '
      hdr_ifmtname = ' '
      hdr_ofmtname = ' '

      return
      end


c -----------------------------------------------------------------------------
 
